# Uses of Enum
org.apache.sling.xss.ProtectionContext

## Uses of ProtectionContext in org.apache.sling.xss

Fields in org.apache.sling.xss declared as ProtectionContext
Modifier and Type
Field
Description
`static final ProtectionContext`
XSSFilter.`DEFAULT_CONTEXT`
Default context.
Methods in org.apache.sling.xss that return ProtectionContext
Modifier and Type
Method
Description
`static ProtectionContext`
ProtectionContext.`fromName(String name)`
Gets a protection context from the specified name.
`static ProtectionContext`
ProtectionContext.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ProtectionContext[]`
ProtectionContext.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.xss with parameters of type ProtectionContext
Modifier and Type
Method
Description
`boolean`
XSSFilter.`check(ProtectionContext context, String src)`
Indicates whether or not a given source string contains XSS policy violations.
`String`
XSSFilter.`filter(ProtectionContext context, String src)`
Protects the given source string from containing XSS stuff.